Download it now!
Bug 131170 - Sheet - Named Ranges and Expressions - Labels... - Define Label Name - Delete NOT WORKING
Summary: Sheet - Named Ranges and Expressions - Labels... - Define Label Name - Delete...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.3.6 target:6.4....
Keywords: bibisected, bisected, regression
: 131176 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-03-05 20:19 UTC by Ernesto Bosch
Modified: 2020-04-15 12:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
file containing a label on column A imposible to erase (7.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-03-05 20:19 UTC, Ernesto Bosch
Details
Sheet_create_Names_and_add_Labels.ods (12.72 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-03-06 19:01 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ernesto Bosch 2020-03-05 20:19:12 UTC
Created attachment 158429 [details]
file containing a label on column A imposible to erase

When trying to erase a label name the option "delete" is not working. An example simple file is provided. I coudn't delete the labe "label" in any way.
Comment 1 Ernesto Bosch 2020-03-05 21:05:46 UTC
Also labels don't appear on "Insert - Named Rages of Expressions"
Comment 2 Ming Hua 2020-03-06 03:28:45 UTC
*** Bug 131176 has been marked as a duplicate of this bug. ***
Comment 3 Julien Nabet 2020-03-06 15:48:05 UTC
Ernesto: there was no label defined in the file.
However, after having added one, I could reproduce this on Win10 with master sources updated today.
Code pointer: https://opengrok.libreoffice.org/xref/core/sc/source/ui/miscdlgs/crnrdlg.cxx?r=f147b160#566
Comment 4 Oliver Brinzing 2020-03-06 19:01:09 UTC
Created attachment 158457 [details]
Sheet_create_Names_and_add_Labels.ods

adding a spreadsheet with labels and named ranges

Could you please add a detailed description how the bug can be reproduced?
Comment 5 Xisco Faulí 2020-04-06 15:03:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=dd5fbb68ebaa8b8be8b6a4a97a8aedbf22d5714f

author	Caolán McNamara <caolanm@redhat.com>	2019-04-11 21:19:28 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-12 14:53:02 +0200
commit	dd5fbb68ebaa8b8be8b6a4a97a8aedbf22d5714f (patch)
tree	dcd20914bf8056798a21864414b16030e136d846
parent	3df141b2084d3abc1587ef24d2b371b779bb3d50 (diff)
weld ScColRowNameRangesDlg

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 6 Commit Notification 2020-04-07 08:18:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39f14e726426cc537265cee458cc9b697841e919

Resolves: tdf#131170 columns tagged as delimiter not column

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2020-04-07 08:25:13 UTC
fixed in master, backports in gerrit
Comment 8 Commit Notification 2020-04-07 13:30:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/e1dbfeee796bb39766877526f5b45187f2721a9e

Resolves: tdf#131170 columns tagged as delimiter not column

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-04-07 13:30:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f97aa84465473062061d742acf9929195db17eca

Resolves: tdf#131170 columns tagged as delimiter not column

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-04-07 15:22:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-3":

https://git.libreoffice.org/core/commit/4349e6143df81d7ddb9f19791af6b9f36f802e06

Resolves: tdf#131170 columns tagged as delimiter not column

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2020-04-14 19:06:26 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 35fc5ef0a759884b24ed8b83cd05702a0fab64cc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 12 Commit Notification 2020-04-15 12:09:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32c5832dfccc2f40370c2795b44adaf3b357d603

tdf#131170: Add UItest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.